"mean.berrmatrix" <-
function(x,percent=TRUE,round=3,print=TRUE,...) {
  #x used to just be the simulation result,
  #now it is a list, but we only want the simulation part
  x <- x$result

  k <- sqrt(dim(x)[2])
  if( (k-as.integer(k)) != 0 ) 
    stop("x must be gibbs by k*k")
  aa <- matrix(apply(x,2,mean,na.rm=TRUE),k,k,byrow=TRUE)
  if(percent) aa <- aa*100
  if( (k-as.integer(k)) != 0 ) 
    stop("x must be gibbs by k*k")
  #try and find the names:
  bb <- dimnames(x)[[2]][diag(matrix(1:(k*k),byrow=T,k,k))]
  bb <- substr(bb,1,nchar(bb)/2)
  dimnames(aa) <- list(bb,bb)
  if(print) print(round(aa,round))
  return(invisible(aa))
}
