 "total" <-
function(x,wts=NULL,print=TRUE,round=3) {
  #x used to just be the simulation result,
  #now it is a list, but we only want the simulation part
  x <- x$result
 

 k <- sqrt(dim(x)[2])
   if ((k - as.integer(k)) != 0) 
    stop("x must be gibbs by k*k")

  if(is.null(wts)) {
    wts <- diag(rep(1,k))
  }
  aa <- diag(c(t(wts)))
  xw <- x %*% aa
  dimnames(xw)[[2]] <-   dimnames(x)[[2]]

  total <- apply(xw,1,sum)
  if(print) print(round(quantile(total,c(0.5,0.025,0.975),na.rm=TRUE),round))
  return(invisible(total))
}
