\name{errtheme}
\alias{errtheme}
\alias{panel.bwsuperpose}
\alias{panel.bw95plot}
%- Also NEED an '\alias' for EACH other topic documented here.
\title{ Simple lattice theme and panel functions used for plotting berrmatrix summaries}
\description{
  Sets some colours in lattice, and helps plot boxplots.  Called by
  plot.berrmatrix.
  The panel.bw95plot uses the central 95\%  interval, rather than the interquartile range.
}
\usage{
errtheme()
panel.bwsuperpose()
panel.bw95plot()
chooseFace()
}
%- maybe also 'usage' for other objects documented here.
\details{
Typically called like \code{lset(theme=ertheme())} before plotting error
matrix summaries.  \code{panel.bwsuperpose} and \code{panel.bw95plot}
is called in \code{plot.berrmatrix}.
}
\value{
  NULL
}
\author{ Robert Denham }
\note{Based on similar functions in the lattice package }


\seealso{ \code{\link{plot.berrmatrix}}}
\examples{
##these functions are generally used in plot.berrmatrix

##set a lattice theme.
require(lattice)
trellis.par.set(errtheme())


}
\keyword{color }% at least one, from doc/KEYWORDS

