"summary.berrmatrix" <-
function(object,wts=NULL,...) {
  #we want to also print the error matrix
  #with the proportions:
  cat("\nError Matrix:\n")
  errmatforprint <- cbind(object$obs,total=apply(object$obs,1,sum),"prop (%)" =round(100*object$Nprop,2))
  errmatforprint <- rbind( errmatforprint,total=apply(errmatforprint,2,sum)) 
  dimnames(errmatforprint) <- list(map=dimnames(errmatforprint)[[1]],reference=dimnames(errmatforprint)[[2]])

  print(errmatforprint)
  cat("\nMedian:\n")
  median.berrmatrix(object,print=TRUE)
  cat("\nTotal Accuracy:\n")
  total(object,wts=wts,print=TRUE)
  cat("\nKappa:\n")
  kappa(object,wts=wts)
  cat("\nUser's accuracies:\n")
  users(object,wts=wts)
  cat("\nProducer's accuracies:\n")
  producers(object,wts=wts)
}
