Bayesian Analysis of Error Matrices
===================================

An R package to analyse error matrices from a Bayesian point of view.
 An error matrix is what the remote sensing community call the k x k
 matrix which summarises an accuracy assessment.  The rows represent
 the samples which were allocated to map class k, and the columns
 represent the samples which were found out to be in class k after
 field checking.  A perfect map would have values on the diagonal and
 zeros everywhere else. This package calculates various statistics
 useful in summarising the error matrix, such as
 users,producers,total, kappa.  We use a Bayesian approach, and Gibbs
 sampling, so we have the option of using real prior information.

